<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    style="@style/MatchMatch.Vertical"
    android:background="@mipmap/login_bg"
    android:gravity="center">

    <RelativeLayout
        style="@style/MatchMatch.Vertical"
        android:gravity="center">

        <!--    背景加一个蒙层-->
        <View
            style="@style/MatchMatch"
            android:background="#80000000" />

        <LinearLayout
            style="@style/WrapWrap.Vertical"
            android:layout_centerInParent="true"
            android:gravity="center">

            <LinearLayout
                style="@style/WrapWrap.Horizontal"
                android:layout_gravity="center"
                android:layout_marginBottom="80dp"
                android:gravity="center">

                <!--            <androidx.appcompat.widget.AppCompatImageView-->
                <!--                android:id="@+id/ivLogo"-->
                <!--                android:layout_width="35dp"-->
                <!--                android:layout_height="35dp"-->
                <!--                android:layout_marginTop="3dp"-->
                <!--                android:layout_marginEnd="5dp"-->
                <!--                android:src="@drawable/rfid_icon" />-->

                <TextView
                    android:id="@+id/txtWellcome"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/txt_app_name"
                    android:textColor="@color/white"
                    android:textSize="30sp"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/login_white_bg"
                android:gravity="center_vertical"
                android:orientation="vertical"
                android:paddingStart="30dp"
                android:paddingTop="20dp"
                android:paddingEnd="30dp"
                android:paddingBottom="20dp">

                <TextView
                    style="@style/WrapWrap"
                    android:text="@string/wellcome_loging"
                    android:textAlignment="viewStart"
                    android:textColor="@color/purple_200"
                    android:textSize="18sp"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/txtTip"
                    style="@style/text_gray12_ww"
                    android:layout_marginTop="5dp"
                    android:text="@string/hello_please_enter_ac_ps_login" />

                <LinearLayout
                    style="@style/MatchWrap.Horizontal"
                    android:layout_marginTop="10dp"
                    android:gravity="center">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:id="@+id/ivUserName"
                        style="@style/WrapWrap"
                        android:src="@drawable/account_icon" />

                    <LinearLayout
                        style="@style/MatchWrap.Horizontal"
                        android:gravity="center_vertical">

                        <com.sxyz.rfid.widgets.et.MaterialEditText
                            android:id="@+id/etUserName"
                            style="@style/MatchWrap"
                            android:layout_width="0dp"
                            android:layout_marginStart="10dp"
                            android:layout_weight="1"
                            android:hint="@string/please_enter_your_account_number"
                            android:inputType="text"
                            android:lines="1"
                            android:textSize="16sp"
                            app:met_floatingLabel="highlight"
                            app:met_floatingLabelTextColor="@color/c_555"
                            app:met_primaryColor="@color/purple_200" />

                        <androidx.appcompat.widget.AppCompatImageView
                            android:id="@+id/ivClear"
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:background="?actionBarItemBackground"
                            android:padding="6dp"
                            android:src="@drawable/login_clear_icon"
                            android:visibility="gone" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    style="@style/MatchWrap.Horizontal"
                    android:layout_marginTop="5dp"
                    android:gravity="center">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:id="@+id/ivPassword"
                        style="@style/WrapWrap"
                        android:src="@drawable/password_icon" />

                    <LinearLayout
                        style="@style/MatchWrap.Horizontal"
                        android:gravity="center_vertical">

                        <com.sxyz.rfid.widgets.et.MaterialEditText
                            android:id="@+id/etPassword"
                            style="@style/MatchWrap"
                            android:layout_width="0dp"
                            android:layout_marginStart="10dp"
                            android:layout_weight="1"
                            android:hint="@string/please_enter_your_password"
                            android:inputType="textPassword"
                            android:lines="1"
                            android:textSize="16sp"
                            app:met_floatingLabel="highlight"
                            app:met_floatingLabelTextColor="@color/c_555"
                            app:met_primaryColor="@color/purple_200" />

                        <androidx.appcompat.widget.AppCompatImageView
                            android:id="@+id/ivEye"
                            style="@style/WrapWrap"
                            android:background="?actionBarItemBackground"
                            android:padding="5dp"
                            android:src="@drawable/eye_open_icon"
                            android:visibility="gone" />
                    </LinearLayout>
                </LinearLayout>

                <Button
                    android:id="@+id/tvLogin"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginTop="20dp"
                    android:background="@drawable/green_bg"
                    android:gravity="center"
                    android:text="@string/login"
                    android:textColor="@color/white"
                    android:textSize="16sp"
                    android:textStyle="bold" />

                <Button
                    android:id="@+id/tvOffline"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginTop="10dp"
                    android:background="@drawable/gray_bg"
                    android:gravity="center"
                    android:text="离线盘点"
                    android:textColor="@color/white"
                    android:textSize="16sp"
                    android:textStyle="bold" />

            </LinearLayout>
        </LinearLayout>

    </RelativeLayout>

</LinearLayout>
